Skip to content

Get an organisation

AI translated from the German original

Query an organisation with its templates.

GET https://sml-api.io/organisations/{idOrIdentifier}

Returns an organisation with its templates. You need the id or identifier of a template to create a workspace.

Field Type Description
idOrIdentifier Path ID or identifier of the organisation, e.g. contoso
curl https://sml-api.io/organisations/contoso \
-H "Authorization: Bearer $TOKEN"
{
"id": "07a9ce7c-ba4a-4cbe-8a08-1a3fee402d0b",
"name": "Contoso",
"identifier": "contoso",
"groups": ["c5df517b-90c9-4952-a3e5-dba4e853fbf2"],
"templates": [
{
"id": "32b06def-e61d-45d5-8151-fc866816e87f",
"name": "Project",
"identifier": "prj",
"mailNicknamePattern": "prj-{{projectCode}}",
"displayNamePattern": "{{projectCode}} - {{name}}"
},
{
"id": "3774f65e-691c-4895-8748-481dd0076b01",
"name": "Internal",
"identifier": "int",
"mailNicknamePattern": "",
"displayNamePattern": ""
}
]
}
Field Description
templates Templates of the organisation
mailNicknamePattern Rule for the email address from the naming convention
displayNamePattern Rule for the display name from the naming convention

Next steps

Learn more